cURL
curl --request POST \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role}' \
--header 'BLINK-API-KEY: <api-key>'
import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role}"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.request("POST", url, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role}';
const options = {method: 'POST', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("BLINK-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role}")
.header("BLINK-API-KEY", "<api-key>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["BLINK-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body
This response has no body data.{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Workspaces
Assign a role to a user or group in a workspace
API endpoint to assign a role to a user or group within a Blink workspace.
POST
/
workspaces
/
{ws_id}
/
{entity_type}
/
{entity_id}
/
role
/
{role}
cURL
curl --request POST \
--url 'https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role}' \
--header 'BLINK-API-KEY: <api-key>'
import requests
url = "https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role}"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.request("POST", url, headers=headers)
print(response.text)
const url = 'https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role}';
const options = {method: 'POST', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"BLINK-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("BLINK-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role}")
.header("BLINK-API-KEY", "<api-key>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://<your-tenant>.app.blinkops.com/api/v1/workspaces/{ws_id}/{entity_type}/{entity_id}/role/{role}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["BLINK-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body
This response has no body data.{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
The ID of the workspace
The type of entity to assign the role to (user or group)
The ID of the user or group to assign the role to
The name of the role to assign to the entity
Response
OK
Was this page helpful?